import React from "react";
import { Button, Collapse } from "react-bootstrap";

const PersonalInfoCollapse = ({ personalInfoOpen, setPersonalInfoOpen, isCustomerLoggedIn, userDetails }) => {
  return (
    <div className="border rounded mb-3 p-3">
      <h3>
        <div className="d-flex justify-content-between align-items-start">
          <span className="fs-6">1. Personal Information</span>
          <Button
            variant="link"
            onClick={() => setPersonalInfoOpen(!personalInfoOpen)}
            aria-controls="personalInfoCollapse"
            aria-expanded={personalInfoOpen}
          >
            <i
              className={`bi bi-chevron-${personalInfoOpen ? "up" : "down"}`}
            ></i>
          </Button>
        </div>
      </h3>
      <Collapse in={personalInfoOpen}>
        <div id="personalInfoCollapse">
          {isCustomerLoggedIn ? (
            <div>
              <p>
                <strong>Name:</strong> {userDetails?.firstName}{" "}
                {userDetails?.lastName}
              </p>
              <p>
                <strong>Email:</strong> {userDetails?.email}
              </p>
              <p>
                <strong>Mobile Number:</strong> {userDetails?.mobileNo}
              </p>
              <p>If you want to update your information</p>
              <Button variant="primary" href="/update-profile">
                Update Information
              </Button>
            </div>
          ) : (
            <div className="mx-4">
              <p>
                You are not logged in. Please log in or register to proceed.
              </p>
              <Button variant="primary" href="/register">
                Register
              </Button>
              <Button className="mx-2" variant="primary" href="/login">
                Login
              </Button>
            </div>
          )}
        </div>
      </Collapse>
    </div>
  );
};

export default PersonalInfoCollapse;
