// OrderConfirmationPage.js
import React from "react";
import OrderDetails from "../components/OrderDetails";
import { Container } from "react-bootstrap";

const OrderConfirmationPage = ({ location }) => {
  // Check if location is undefined
  if (!location || !location.state) {
    return (
      <div>
        <Container>
          <h2>Order Confirmation</h2>
          <p>Error: No order data found.</p>
        </Container>
      </div>
    );
  }

  // Retrieve orderData from location.state
  const orderData = location.state.orderData;

  return (
    <div>
      <Container>
        <h2>Order Confirmation</h2>
        {/* Use the OrderDetails component to display order details */}
        <OrderDetails orderData={orderData} />
      </Container>
    </div>
  );
};

export default OrderConfirmationPage;
